//
//  RFWebServiceRequestProcessing.h
//  ROADWebService
//
//  Created by Balazs Gollner on 2014.04.23..
//  Copyright (c) 2014 Epam Systems. All rights reserved.
//


#import <Foundation/Foundation.h>


@protocol RFWebServiceRequestProcessing <NSObject>

/**
 *  Method invoked before the downloader start to execute the NSMutableURLRequest, so programmer can modify the request to made additional changes on it. For example this method can be used to inject additional header fields based on some attributes.
 *
 *  @param request    The mutable NSURLRequest which is generated by the dynamic method call.
 *  @param attributes All the attributes attached to the dynamic method call.
 */
- (void)processRequest:(NSMutableURLRequest *)request attributesOnMethod:(NSArray *)attributes;

@end
